xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) Ismael Carnales Lukas Mai
License | BSD-style (see LICENSE)
Maintainer | Ismael Carnales <icarnales@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Master

Contents

- Usage

Description

Layout modfier that adds a master window to another layout.

Synopsis

- mastered :: LayoutClass l a => Rational -> Rational -> l a -> ModifiedLayout AddMaster l a
- fixMastered :: LayoutClass l a => Rational -> Rational -> l a -> ModifiedLayout FixMaster l a
- multimastered :: LayoutClass l a => Int -> Rational -> Rational -> l a -> ModifiedLayout AddMaster l a
- data AddMaster a

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Master

Then edit your `layoutHook` and add the Master modifier to the layout that you prefer.

    mastered (1/100) (1/2) $ Grid

Or if you prefer to have a master with fixed width:

    fixMastered (1/100) (1/2) $ Grid

Or if you want multiple (here two) master windows from the beginning:

    multimastered 2 (1/100) (1/2) $ Grid

This will use the left half of your screen for a master window and let Grid manage the right half.

For more detailed instructions on editing the layoutHook see XMonad.Doc.Extending.

Like `Tall`, `withMaster` supports the `Shrink` and XMonad.Layout.Expand' messages.

mastered Source #

Arguments

:: LayoutClass l a |
=> Rational | `delta`, the ratio of the screen to resize by
-> Rational | `frac`, what portion of the screen to use for the master window
-> l a | the layout to be modified
-> ModifiedLayout AddMaster l a |

fixMastered Source #

Arguments

:: LayoutClass l a |
=> Rational | `delta`, the ratio of the screen to resize by
-> Rational | `frac`, what portion of the screen to use for the master window
-> l a | the layout to be modified
-> ModifiedLayout FixMaster l a |

multimastered Source #

Arguments

:: LayoutClass l a |
=> Int | `k`, number of master windows
-> Rational | `delta`, the ratio of the screen to resize by
-> Rational | `frac`, what portion of the screen to use for the master window
-> l a | the layout to be modified
-> ModifiedLayout AddMaster l a |

data AddMaster a Source #

Data type for LayoutModifier which converts given layout to a mastered layout

Instances

LayoutModifier AddMaster Window Source # |

Instance details

Defined in XMonad.Layout.Master

Methods

modifyLayout :: LayoutClass l Window => AddMaster Window -> Workspace WorkspaceId (l Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (l Window)) Source #

modifyLayoutWithUpdate :: LayoutClass l Window => AddMaster Window -> Workspace WorkspaceId (l Window) Window -> Rectangle -> X (([(Window, Rectangle)], Maybe (l Window)), Maybe (AddMaster Window)) Source #

handleMess :: AddMaster Window -> SomeMessage -> X (Maybe (AddMaster Window)) Source #

handleMessOrMaybeModifyIt :: AddMaster Window -> SomeMessage -> X (Maybe (Either (AddMaster Window) SomeMessage)) Source #

pureMess :: AddMaster Window -> SomeMessage -> Maybe (AddMaster Window) Source #

redoLayout :: AddMaster Window -> Rectangle -> Maybe (Stack Window) -> [(Window, Rectangle)] -> X ([(Window, Rectangle)], Maybe (AddMaster Window)) Source #

pureModifier :: AddMaster Window -> Rectangle -> Maybe (Stack Window) -> [(Window, Rectangle)] -> ([(Window, Rectangle)], Maybe (AddMaster Window)) Source #

hook :: AddMaster Window -> X () Source #

unhook :: AddMaster Window -> X () Source #

modifierDescription :: AddMaster Window -> String Source #

modifyDescription :: LayoutClass l Window => AddMaster Window -> l Window -> String Source #

Read (AddMaster a) Source # |
Instance details Defined in XMonad.Layout.Master Methods readsPrec :: Int -> ReadS (AddMaster a) Source # readList :: ReadS [AddMaster a] Source # readPrec :: ReadPrec (AddMaster a) Source # readListPrec :: ReadPrec [AddMaster a] Source #
Show (AddMaster a) Source # |
Instance details Defined in XMonad.Layout.Master Methods showsPrec :: Int -> AddMaster a -> ShowS Source # show :: AddMaster a -> String Source # showList :: [AddMaster a] -> ShowS Source #